Description

After switching a window into fullscreen mode the client list of the current view is corrupted.

Steps to reproduce:

Open 3 windows in a current view and use the 'alt+tab' client switching snippet from the 'hacking subtle' page.

When changing one window into fullscreen mode and back into normal, you will no longer be able to switch to all windows in that

view via alt+tab. One window will be omitted.

Restarting subtle will bring back normal behaviour.

Regards

David

History

#1 - 07/15/2011 03:34 PM - Christoph Kappel

Hum, I cannot reproduce that in current devel. What version are you using?

#2 - 07/15/2011 03:58 PM - David Herrmann

Sorry, I forgot to write that. I use the archlinux package which is version 0.9.2773-2. Related upstream sources are 0.9.2773.

I notice this bug also sporadically. I guess it does not happen if I fullscreen the windows at id 0, that is, the first one opened at the view. However, if I

open three xterms on my default term-view and then alt+tab to the third window and then fullscreen it, the bug occurs.

I also noticed some other weird behaviour sporadically and don't know whether it is related to this one:

If I switch views it does not always return to the same window as when I left the view. That is, it sometimes always pushes the window with id 0 (the

first one opened on that view) at top even though it wasn't on top when I left the view.

I use all windows maximized with center gravity so alt+tab is quite important to not loose some windows ;)

I discovered that bug with earlier versions too, however, I was too lazy to report it so this might not be something that was introduced in recent

version.

If there is additional information you need, just tell me, I can try to get it. I can also run some ruby script to print Subtlext::Clients.view or something

like this if you tell me how ;)

Regards

David
#3 - 07/15/2011 04:25 PM - Christoph Kappel

Ok, that version is a bit outdated and I will release a new stable when the current issues of the Nu release are finally done. I am a bit  behind my

non-existing schedule, so please bare with me. ;)

Can you give subtle-hg a try? (It is available in AUR)

#4 - 08/07/2011 04:20 PM - Christoph Kappel

- Status changed from Unconfirmed to Rejected

#5 - 08/19/2011 12:35 PM - David Herrmann

- Category set to Bugfix

- % Done changed from 0 to 100

Sorry for the delay. I tested with subtle-hg and everything works fine now. It seems fixed in newest release, too.

However, I have an addition for the "Snippets" page. Maybe people are interested in getting "alt+shift+tab" working as reverse cycling through the

windows:

grab "A-S-Tab" do

clients = Subtlext::Client.visible                                             

clients.first.instance_eval do                                                 

    lower                                                                        

  end

  clients.first.instance_eval do

    focus

  end                                                                            

end

 

Regards

David

#6 - 08/19/2011 04:11 PM - Christoph Kappel

Feel free to add it to the snippets wiki page.

Glad that this issue is solved, probable due to the changes in the stacking code.
